#!/bin/sh
#完善intelgpu 1.3版本的prerm脚本,避免ab恢复时系统升级失败

if [ $(dpkg -l | awk '$2=="intelgpu-dkms" { print $3 }') = "1.3-1" ];then

if [ -e /var/lib/dpkg/info/intelgpu-dkms.prerm ];then

rm /var/lib/dpkg/info/intelgpu-dkms.prerm || true

cat >> /var/lib/dpkg/info/intelgpu-dkms.prerm << EOF
#!/bin/sh

set -e

NAME=intelgpu
VERSION=1
TARGET=4.19.0-amd64-desktop

case "\$1" in
    remove|upgrade|deconfigure)
        if [ -e /etc/initramfs-tools/modules ];then
            sed -i '/intelgpu/d' /etc/initramfs-tools/modules || true
        fi
        if [ -e /etc/modprobe.d/blacklist-i915.conf ];then
            rm /etc/modprobe.d/blacklist-i915.conf || true
        fi
        if [ -e /var/lib/dkms/intelgpu ];then
            dkms remove -m \$NAME -v \$VERSION --all || true
        fi
        exit 0
    ;;

    failed-upgrade)
    ;;

    *)
        echo "prerm called with unknown argument '\$1'" >&2
        exit 1
    ;;
esac

exit 0

EOF

fi

fi